Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `addDate, setCaseSensitive, setIncludes, setExcludes, setFollowSymlinks, setProject, XsetItems, XsetIgnore, hasSelectors, getSelectors, addSelector, createPatternSet, createIncludesFile, appendSelector, setIncludesfile, setExcludesfile, setDefaultexcludes, createInclude, createExclude, selectorCount, selectorElements, createExcludesFile, addSize, addDepth, addCustom, addModified, addPresent, addNone, addOr, addDepend, addMajority, addDifferent, addAnd, addContainsRegexp, addNot, addFilename, addContains, add, addType, getTaskName, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, maybeConfigure, setTaskType, setOwningTarget, getOwningTarget, setTaskName, getTaskType, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, getDescription, getProject, setDescription, setLocation, clone, getLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override public void visitEnd()